package net.minecraft.network.play.server;

import java.io.IOException;

import proxy.network.NetHandlerPlayServer;
import proxy.network.Packet;
import proxy.network.PacketBuffer;
import proxy.util.ChatComponent;

public class S47PacketPlayerListHeaderFooter implements Packet<NetHandlerPlayServer>
{
    private ChatComponent header;
    private ChatComponent footer;

    public S47PacketPlayerListHeaderFooter()
    {
    }

    public S47PacketPlayerListHeaderFooter(ChatComponent headerIn, ChatComponent footerIn)
    {
        this.header = headerIn;
        this.footer = footerIn;
    }

    /**
     * Reads the raw packet data from the data stream.
     */
    public void readPacketData(PacketBuffer buf) throws IOException
    {
        this.header = buf.readChatComponent();
        this.footer = buf.readChatComponent();
    }

    /**
     * Writes the raw packet data to the data stream.
     */
    public void writePacketData(PacketBuffer buf) throws IOException
    {
        buf.writeChatComponent(this.header);
        buf.writeChatComponent(this.footer);
    }

    /**
     * Passes this Packet on to the NetHandler for processing.
     */
    public void processPacket(NetHandlerPlayServer handler)
    {
        handler.handlePlayerListHeaderFooter(this);
    }
}
