package proxy.util;

public class ChatComponentTranslation extends ChatComponent {
	private final String key;
	private final Object[] formatArgs;

	public ChatComponentTranslation(String translationKey, Object... args) {
		this.key = translationKey;
		this.formatArgs = args;
	}

	public String getKey() {
		return this.key;
	}

	public Object[] getFormatArgs() {
		return this.formatArgs;
	}
	
	public String toString() {
		StringBuilder sb = new StringBuilder(this.key);
		for(Object arg : this.formatArgs) {
			sb.append(' ').append(arg);
		}
		return sb.toString();
	}
}
